depends = ('ITKPyBase', 'VXLNumerics', )
templates = (
  ('EventObject', 'itk::EventObject', 'itkEventObject'),
  ('NoEvent', 'itk::NoEvent', 'itkNoEvent'),
  ('AnyEvent', 'itk::AnyEvent', 'itkAnyEvent'),
  ('DeleteEvent', 'itk::DeleteEvent', 'itkDeleteEvent'),
  ('StartEvent', 'itk::StartEvent', 'itkStartEvent'),
  ('EndEvent', 'itk::EndEvent', 'itkEndEvent'),
  ('ProgressEvent', 'itk::ProgressEvent', 'itkProgressEvent'),
  ('ExitEvent', 'itk::ExitEvent', 'itkExitEvent'),
  ('ModifiedEvent', 'itk::ModifiedEvent', 'itkModifiedEvent'),
  ('IterationEvent', 'itk::IterationEvent', 'itkIterationEvent'),
  ('PickEvent', 'itk::PickEvent', 'itkPickEvent'),
  ('StartPickEvent', 'itk::StartPickEvent', 'itkStartPickEvent'),
  ('EndPickEvent', 'itk::EndPickEvent', 'itkEndPickEvent'),
  ('AbortCheckEvent', 'itk::AbortCheckEvent', 'itkAbortCheckEvent'),
  ('UserEvent', 'itk::UserEvent', 'itkUserEvent'),
  ('LightObject', 'itk::LightObject', 'itkLightObject'),
  ('list', 'std::list', 'listitkLightObject', 'itk::LightObject'),
  ('Object', 'itk::Object', 'itkObject'),
  ('DataObject', 'itk::DataObject', 'itkDataObject'),
  ('vector', 'std::vector', 'vectoritkDataObject', 'itk::DataObject'),
  ('LightProcessObject', 'itk::LightProcessObject', 'itkLightProcessObject'),
  ('ProcessObject', 'itk::ProcessObject', 'itkProcessObject'),
  ('Command', 'itk::Command', 'itkCommand'),
  ('Directory', 'itk::Directory', 'itkDirectory'),
  ('DynamicLoader', 'itk::DynamicLoader', 'itkDynamicLoader'),
  ('ObjectFactoryBase', 'itk::ObjectFactoryBase', 'itkObjectFactoryBase'),
  ('list', 'std::list', 'listitkObjectFactoryBase', 'itk::ObjectFactoryBase'),
  ('OutputWindow', 'itk::OutputWindow', 'itkOutputWindow'),
  ('Version', 'itk::Version', 'itkVersion'),
  ('TimeStamp', 'itk::TimeStamp', 'itkTimeStamp'),
  ('Indent', 'itk::Indent', 'itkIndent'),
  ('SimpleFilterWatcher', 'itk::SimpleFilterWatcher', 'itkSimpleFilterWatcher'),
  ('XMLFilterWatcher', 'itk::XMLFilterWatcher', 'itkXMLFilterWatcher'),
  ('MetaDataDictionary', 'itk::MetaDataDictionary', 'itkMetaDataDictionary'),
  ('vector', 'std::vector', 'vectoritkMetaDataDictionary', 'itk::MetaDataDictionary'),
  ('ResourceProbe', 'itk::ResourceProbe', 'itkResourceProbeDD', 'double,double'),
  ('TimeProbe', 'itk::TimeProbe', 'itkTimeProbe'),
  ('MetaDataObjectBase', 'itk::MetaDataObjectBase', 'itkMetaDataObjectBase'),
  ('ProgressReporter', 'itk::ProgressReporter', 'itkProgressReporter'),
  ('MultiThreader', 'itk::MultiThreader', 'itkMultiThreader'),
  ('Offset', 'itk::Offset', 'itkOffset2', '2'),
  ('Offset', 'itk::Offset', 'itkOffset3', '3'),
  ('Offset', 'itk::Offset', 'itkOffset1', '1'),
  ('Array', 'itk::Array', 'itkArrayD', 'double'),
  ('Array', 'itk::Array', 'itkArrayF', 'float'),
  ('Array', 'itk::Array', 'itkArrayUL', 'unsigned long'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD2', 'double,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF2', 'float,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL2', 'unsigned long,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS2', 'unsigned short,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC2', 'unsigned char,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI2', 'unsigned int,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL2', 'signed long,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS2', 'signed short,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC2', 'signed char,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB2', 'bool,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD3', 'double,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF3', 'float,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL3', 'unsigned long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS3', 'unsigned short,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC3', 'unsigned char,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI3', 'unsigned int,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL3', 'signed long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS3', 'signed short,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC3', 'signed char,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB3', 'bool,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD4', 'double,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF4', 'float,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL4', 'unsigned long,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS4', 'unsigned short,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC4', 'unsigned char,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI4', 'unsigned int,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL4', 'signed long,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS4', 'signed short,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC4', 'signed char,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB4', 'bool,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD6', 'double,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF6', 'float,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL6', 'unsigned long,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS6', 'unsigned short,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC6', 'unsigned char,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI6', 'unsigned int,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL6', 'signed long,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS6', 'signed short,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC6', 'signed char,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB6', 'bool,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD1', 'double,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF1', 'float,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL1', 'unsigned long,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS1', 'unsigned short,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC1', 'unsigned char,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI1', 'unsigned int,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL1', 'signed long,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS1', 'signed short,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC1', 'signed char,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB1', 'bool,1'),
  ('Index', 'itk::Index', 'itkIndex2', '2'),
  ('Index', 'itk::Index', 'itkIndex3', '3'),
  ('Index', 'itk::Index', 'itkIndex1', '1'),
  ('Size', 'itk::Size', 'itkSize2', '2'),
  ('Size', 'itk::Size', 'itkSize3', '3'),
  ('Size', 'itk::Size', 'itkSize1', '1'),
  ('Vector', 'itk::Vector', 'itkVectorUC1', 'unsigned char,1'),
  ('Vector', 'itk::Vector', 'itkVectorF1', 'float,1'),
  ('Vector', 'itk::Vector', 'itkVectorD1', 'double,1'),
  ('Vector', 'itk::Vector', 'itkVectorUS1', 'unsigned short,1'),
  ('Vector', 'itk::Vector', 'itkVectorUC2', 'unsigned char,2'),
  ('Vector', 'itk::Vector', 'itkVectorF2', 'float,2'),
  ('Vector', 'itk::Vector', 'itkVectorD2', 'double,2'),
  ('Vector', 'itk::Vector', 'itkVectorUS2', 'unsigned short,2'),
  ('Vector', 'itk::Vector', 'itkVectorUC3', 'unsigned char,3'),
  ('Vector', 'itk::Vector', 'itkVectorF3', 'float,3'),
  ('Vector', 'itk::Vector', 'itkVectorD3', 'double,3'),
  ('Vector', 'itk::Vector', 'itkVectorUS3', 'unsigned short,3'),
  ('Vector', 'itk::Vector', 'itkVectorUC6', 'unsigned char,6'),
  ('Vector', 'itk::Vector', 'itkVectorF6', 'float,6'),
  ('Vector', 'itk::Vector', 'itkVectorD6', 'double,6'),
  ('Vector', 'itk::Vector', 'itkVectorUS6', 'unsigned short,6'),
  ('Point', 'itk::Point', 'itkPointF2', 'float,2'),
  ('Point', 'itk::Point', 'itkPointD2', 'double,2'),
  ('Point', 'itk::Point', 'itkPointF3', 'float,3'),
  ('Point', 'itk::Point', 'itkPointD3', 'double,3'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD22DD', 'double,2,2,double,double'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD22D', 'double,2,2,double'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD33DD', 'double,3,3,double,double'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD33D', 'double,3,3,double'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD22DD', 'double,2,2,double,double'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD22D', 'double,2,2,double'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD33DD', 'double,3,3,double,double'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD33D', 'double,3,3,double'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUC2', 'unsigned char,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUS2', 'unsigned short,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF2', 'float,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUC3', 'unsigned char,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUS3', 'unsigned short,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF3', 'float,3'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexF2', 'float,2'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD2', 'double,2'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexF3', 'float,3'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD3', 'double,3'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUC2', 'unsigned int,itk::LevelSetNode< unsigned char,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNUC2_Superclass', 'itk::LevelSetNode< unsigned char,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUS2', 'unsigned int,itk::LevelSetNode< unsigned short,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNUS2_Superclass', 'itk::LevelSetNode< unsigned short,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF2', 'unsigned int,itk::LevelSetNode< float,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNF2_Superclass', 'itk::LevelSetNode< float,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULVD2', 'unsigned long,itk::Vector< double,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerULVD2_Superclass', 'itk::Vector< double,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULPD2', 'unsigned long,itk::Point< double,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerULPD2_Superclass', 'itk::Point< double,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUCO2', 'unsigned char,itk::Offset< 2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUCO2_Superclass', 'itk::Offset< 2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUICID2', 'unsigned int,itk::ContinuousIndex< double,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUICID2_Superclass', 'itk::ContinuousIndex< double,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUC3', 'unsigned int,itk::LevelSetNode< unsigned char,3 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNUC3_Superclass', 'itk::LevelSetNode< unsigned char,3 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUS3', 'unsigned int,itk::LevelSetNode< unsigned short,3 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNUS3_Superclass', 'itk::LevelSetNode< unsigned short,3 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF3', 'unsigned int,itk::LevelSetNode< float,3 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNF3_Superclass', 'itk::LevelSetNode< float,3 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULVD3', 'unsigned long,itk::Vector< double,3 >'),
  ('vector', 'std::vector', 'itkVectorContainerULVD3_Superclass', 'itk::Vector< double,3 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULPD3', 'unsigned long,itk::Point< double,3 >'),
  ('vector', 'std::vector', 'itkVectorContainerULPD3_Superclass', 'itk::Point< double,3 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUCO3', 'unsigned char,itk::Offset< 3 >'),
  ('vector', 'std::vector', 'itkVectorContainerUCO3_Superclass', 'itk::Offset< 3 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUICID3', 'unsigned int,itk::ContinuousIndex< double,3 >'),
  ('vector', 'std::vector', 'itkVectorContainerUICID3_Superclass', 'itk::ContinuousIndex< double,3 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULD', 'unsigned long,double'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUIVUC1', 'unsigned int,itk::Vector< unsigned char,1 >'),
  ('vector', 'std::vector', 'itkVectorContainerUIVUC1_Superclass', 'itk::Vector< unsigned char,1 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULSUL', 'unsigned long, std::set< unsigned long >'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULVD2', 'unsigned long,itk::Vector< double,2 >'),
  ('map', 'std::map', 'itkMapContainerULVD2_Superclass', 'unsigned long, itk::Vector< double,2 > '),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULPD2', 'unsigned long,itk::Point< double,2 >'),
  ('map', 'std::map', 'itkMapContainerULPD2_Superclass', 'unsigned long, itk::Point< double,2 > '),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULVD3', 'unsigned long,itk::Vector< double,3 >'),
  ('map', 'std::map', 'itkMapContainerULVD3_Superclass', 'unsigned long, itk::Vector< double,3 > '),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULPD3', 'unsigned long,itk::Point< double,3 >'),
  ('map', 'std::map', 'itkMapContainerULPD3_Superclass', 'unsigned long, itk::Point< double,3 > '),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULD', 'unsigned long,double'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULSUL', 'unsigned long, std::set< unsigned long >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL2DVCULPD2', 'unsigned long,2,double, itk::VectorContainer< unsigned long, itk::Point< double,2 > >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL2DMCULPD2', 'unsigned long,2,double, itk::MapContainer< unsigned long, itk::Point< double,2 > >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL3DVCULPD3', 'unsigned long,3,double, itk::VectorContainer< unsigned long, itk::Point< double,3 > >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL3DMCULPD3', 'unsigned long,3,double, itk::MapContainer< unsigned long, itk::Point< double,3 > >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2S', 'double,2,itk::DefaultStaticMeshTraits< double,2,2,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2D', 'double,2,itk::DefaultDynamicMeshTraits< double,2,2,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetPD22S', 'itk::Point< double,2 >,2,itk::DefaultStaticMeshTraits< double,2,2,double,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD3S', 'double,3,itk::DefaultStaticMeshTraits< double,3,3,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD3D', 'double,3,itk::DefaultDynamicMeshTraits< double,3,3,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetPD33S', 'itk::Point< double,3 >,3,itk::DefaultStaticMeshTraits< double,3,3,double,double >'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorF2', 'float,2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD2', 'double,2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorF3', 'float,3'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD3', 'double,3'),
  ('RGBPixel', 'itk::RGBPixel', 'itkRGBPixelUC', 'unsigned char'),
  ('RGBPixel', 'itk::RGBPixel', 'itkRGBPixelUS', 'unsigned short'),
  ('RGBAPixel', 'itk::RGBAPixel', 'itkRGBAPixelUC', 'unsigned char'),
  ('RGBAPixel', 'itk::RGBAPixel', 'itkRGBAPixelUS', 'unsigned short'),
  ('RGBAPixel', 'itk::RGBAPixel', 'itkRGBAPixelF', 'float'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorUC', 'unsigned char'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorUS', 'unsigned short'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorF', 'float'),
  ('Region', 'itk::Region', 'itkRegion'),
  ('MeshRegion', 'itk::MeshRegion', 'itkMeshRegion'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion2', '2'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion3', '3'),
  ('Matrix', 'itk::Matrix', 'itkMatrixF22', 'float,2,2'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD22', 'double,2,2'),
  ('Matrix', 'itk::Matrix', 'itkMatrixF33', 'float,3,3'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD33', 'double,3,3'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase2', '2'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase3', '3'),
  ('Image', 'itk::Image', 'itkImageRGBUS2', 'itk::RGBPixel< unsigned short >,2'),
  ('Image', 'itk::Image', 'itkImageRGBAUS2', 'itk::RGBAPixel< unsigned short >,2'),
  ('Image', 'itk::Image', 'itkImageVF22', 'itk::Vector< float,2 >,2'),
  ('Image', 'itk::Image', 'itkImageCVF22', 'itk::CovariantVector< float,2 >,2'),
  ('Image', 'itk::Image', 'itkImageUC2', 'unsigned char,2'),
  ('Image', 'itk::Image', 'itkImageUS2', 'unsigned short,2'),
  ('Image', 'itk::Image', 'itkImageF2', 'float,2'),
  ('Image', 'itk::Image', 'itkImageCF2', 'std::complex< float >,2'),
  ('Image', 'itk::Image', 'itkImageD2', 'double,2'),
  ('Image', 'itk::Image', 'itkImageUL2', 'unsigned long,2'),
  ('Image', 'itk::Image', 'itkImageRGBUC2', 'itk::RGBPixel< unsigned char >,2'),
  ('Image', 'itk::Image', 'itkImageRGBAUC2', 'itk::RGBAPixel< unsigned char >,2'),
  ('Image', 'itk::Image', 'itkImageFAF22', 'itk::FixedArray< float,2 >,2'),
  ('Image', 'itk::Image', 'itkImageO22', 'itk::Offset< 2 >,2'),
  ('Image', 'itk::Image', 'itkImageRGBUS3', 'itk::RGBPixel< unsigned short >,3'),
  ('Image', 'itk::Image', 'itkImageRGBAUS3', 'itk::RGBAPixel< unsigned short >,3'),
  ('Image', 'itk::Image', 'itkImageVF33', 'itk::Vector< float,3 >,3'),
  ('Image', 'itk::Image', 'itkImageCVF33', 'itk::CovariantVector< float,3 >,3'),
  ('Image', 'itk::Image', 'itkImageUC3', 'unsigned char,3'),
  ('Image', 'itk::Image', 'itkImageUS3', 'unsigned short,3'),
  ('Image', 'itk::Image', 'itkImageF3', 'float,3'),
  ('Image', 'itk::Image', 'itkImageCF3', 'std::complex< float >,3'),
  ('Image', 'itk::Image', 'itkImageD3', 'double,3'),
  ('Image', 'itk::Image', 'itkImageUL3', 'unsigned long,3'),
  ('Image', 'itk::Image', 'itkImageRGBUC3', 'itk::RGBPixel< unsigned char >,3'),
  ('Image', 'itk::Image', 'itkImageRGBAUC3', 'itk::RGBAPixel< unsigned char >,3'),
  ('Image', 'itk::Image', 'itkImageFAF33', 'itk::FixedArray< float,3 >,3'),
  ('Image', 'itk::Image', 'itkImageO33', 'itk::Offset< 3 >,3'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUC2', 'unsigned char,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUS2', 'unsigned short,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageF2', 'float,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUC3', 'unsigned char,3'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUS3', 'unsigned short,3'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageF3', 'float,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUC2', 'unsigned char,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUS2', 'unsigned short,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodF2', 'float,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodRGBUS2', 'itk::RGBPixel< unsigned short >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodB2', 'bool,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodVF22', 'itk::Vector< float,2 >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodCVF22', 'itk::CovariantVector< float,2 >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUC3', 'unsigned char,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUS3', 'unsigned short,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodF3', 'float,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodRGBUS3', 'itk::RGBPixel< unsigned short >,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodB3', 'bool,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodVF33', 'itk::Vector< float,3 >,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodCVF33', 'itk::CovariantVector< float,3 >,3'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUL2', 'itk::Image< unsigned long,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUL3', 'itk::Image< unsigned long,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUS3', 'itk::Image< unsigned short,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF2', 'itk::Image< float,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF3', 'itk::Image< float,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUS2', 'itk::VectorImage< unsigned short,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIF2', 'itk::VectorImage< float,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUS3', 'itk::VectorImage< unsigned short,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIF3', 'itk::VectorImage< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUL3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUL3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned long,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IUL3', 'itk::Image< float,3 >, itk::Image< unsigned long,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3IUS3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22ICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33ICVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33IVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUC2IRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUC3IRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUC2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUC3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS3IRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IRGBUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3IRGBUS3', 'itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IRGBUS2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IRGBUS3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IRGBUS3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IRGBUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IRGBUS3', 'itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IUL2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS3IUL3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned long,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS3IUC3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS3IUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IF2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS3IF3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IRGBAUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3IRGBAUS3', 'itk::Image< unsigned long,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IRGBAUS2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IRGBAUS3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IRGBAUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IRGBAUS3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IRGBAUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IRGBAUS3', 'itk::Image< float,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IUL2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS3IUL3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned long,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IUC2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS3IUC3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS3IUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IF2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS3IF3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IUC2', 'itk::VectorImage< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIUC2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IUS2', 'itk::VectorImage< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIUC2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IF2', 'itk::VectorImage< unsigned char,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIUC2', 'itk::Image< float,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IUC2', 'itk::VectorImage< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIUS2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IUS2', 'itk::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIUS2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IF2', 'itk::VectorImage< unsigned short,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIUS2', 'itk::Image< float,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IUC2', 'itk::VectorImage< float,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIF2', 'itk::Image< unsigned char,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IUS2', 'itk::VectorImage< float,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIF2', 'itk::Image< unsigned short,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IF2', 'itk::VectorImage< float,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIF2', 'itk::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC3IUC3', 'itk::VectorImage< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3VIUC3', 'itk::Image< unsigned char,3 >,itk::VectorImage< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC3IUS3', 'itk::VectorImage< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3VIUC3', 'itk::Image< unsigned short,3 >,itk::VectorImage< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC3IF3', 'itk::VectorImage< unsigned char,3 >,itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VIUC3', 'itk::Image< float,3 >,itk::VectorImage< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS3IUC3', 'itk::VectorImage< unsigned short,3 >,itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3VIUS3', 'itk::Image< unsigned char,3 >,itk::VectorImage< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS3IUS3', 'itk::VectorImage< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3VIUS3', 'itk::Image< unsigned short,3 >,itk::VectorImage< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS3IF3', 'itk::VectorImage< unsigned short,3 >,itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VIUS3', 'itk::Image< float,3 >,itk::VectorImage< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF3IUC3', 'itk::VectorImage< float,3 >,itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3VIF3', 'itk::Image< unsigned char,3 >,itk::VectorImage< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF3IUS3', 'itk::VectorImage< float,3 >,itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3VIF3', 'itk::Image< unsigned short,3 >,itk::VectorImage< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF3IF3', 'itk::VectorImage< float,3 >,itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VIF3', 'itk::Image< float,3 >,itk::VectorImage< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IUS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IF2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IF3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33IUS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2ICVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3ICVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3ICVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IVF33', 'itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ICVF33', 'itk::Image< float,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUC3', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUS3', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF3', 'itk::Image< float,2 >,itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,2 >,itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF2ICF3', 'itk::Image< std::complex< float >,2 >,itk::Image< std::complex< float >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS3IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,3 >,itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF3ICF2', 'itk::Image< std::complex< float >,3 >,itk::Image< std::complex< float >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3IUS3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22ICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33ICVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33IVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS3IUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IRGBUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3IRGBUS3', 'itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IRGBUS2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IRGBUS3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IRGBUS3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IRGBUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IRGBUS3', 'itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUC2IRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUC3IRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUC2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUC3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS3IRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS3IUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IRGBAUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3IRGBAUS3', 'itk::Image< unsigned long,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IRGBAUS2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IRGBAUS3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IRGBAUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IRGBAUS3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IRGBAUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IRGBAUS3', 'itk::Image< float,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2IUC2', 'itk::VectorImage< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2VIUC2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2IUS2', 'itk::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2VIUS2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2IF2', 'itk::VectorImage< float,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2VIF2', 'itk::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC3IUC3', 'itk::VectorImage< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3VIUC3', 'itk::Image< unsigned char,3 >,itk::VectorImage< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS3IUS3', 'itk::VectorImage< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3VIUS3', 'itk::Image< unsigned short,3 >,itk::VectorImage< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF3IF3', 'itk::VectorImage< float,3 >,itk::Image< float,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3VIF3', 'itk::Image< float,3 >,itk::VectorImage< float,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IUS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IF2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IF3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33IUS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2ICVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3ICVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2ICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3ICVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IVF33', 'itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3ICVF33', 'itk::Image< float,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUC2', 'itk::Image< unsigned char,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUC3', 'itk::Image< unsigned char,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUS2', 'itk::Image< unsigned short,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUS3', 'itk::Image< unsigned short,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF2', 'itk::Image< float,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF3', 'itk::Image< float,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('Path', 'itk::Path', 'itkPathDCID22', 'double, itk::ContinuousIndex< double,2 >, 2'),
  ('Path', 'itk::Path', 'itkPathDCID33', 'double, itk::ContinuousIndex< double,3 >, 3'),
  ('ParametricPath', 'itk::ParametricPath', 'itkParametricPath2', '2'),
  ('ParametricPath', 'itk::ParametricPath', 'itkParametricPath3', '3'),
  ('PolyLineParametricPath', 'itk::PolyLineParametricPath', 'itkPolyLineParametricPath2', '2'),
  ('PolyLineParametricPath', 'itk::PolyLineParametricPath', 'itkPolyLineParametricPath3', '3'),
  ('Array2D', 'itk::Array2D', 'itkArray2DD', 'double'),
  ('Array2D', 'itk::Array2D', 'itkArray2DUI', 'unsigned int'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement2', '2'),
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement3', '3'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIF2D', 'itk::Image< float,2 >,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIUS2D', 'itk::Image< unsigned short,2 >,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePF2D', 'itk::Point< float,2 > ,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2D', 'itk::Point< double,2 > ,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCIF2AD', 'itk::ContinuousIndex< float,2 > ,itk::Array< double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCID2AD', 'itk::ContinuousIndex< double,2 > ,itk::Array< double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2VD2', 'itk::Point< double,2 >, itk::Vector< double,2 >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIF3D', 'itk::Image< float,3 >,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIUS3D', 'itk::Image< unsigned short,3 >,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePF3D', 'itk::Point< float,3 > ,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD3D', 'itk::Point< double,3 > ,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCIF3AD', 'itk::ContinuousIndex< float,3 > ,itk::Array< double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCID3AD', 'itk::ContinuousIndex< double,3 > ,itk::Array< double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD3VD3', 'itk::Point< double,3 >, itk::Vector< double,3 >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseDD', 'double,double'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIUS3', 'itk::Image< unsigned short,3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIF2', 'itk::Image< float,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIF3', 'itk::Image< float,3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionICF3', 'itk::Image< std::complex< float >,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUC2', 'itk::Image< unsigned char,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUC3', 'itk::Image< unsigned char,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUS2', 'itk::Image< unsigned short,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUS3', 'itk::Image< unsigned short,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIF2', 'itk::Image< float,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIF3', 'itk::Image< float,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICF2', 'itk::Image< std::complex< float >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUC2', 'itk::Image< unsigned char,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUC3', 'itk::Image< unsigned char,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUS2', 'itk::Image< unsigned short,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUS3', 'itk::Image< unsigned short,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIF2', 'itk::Image< float,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIF3', 'itk::Image< float,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUC2', 'itk::Image< unsigned char,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUC3', 'itk::Image< unsigned char,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUS2', 'itk::Image< unsigned short,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUS3', 'itk::Image< unsigned short,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIF2', 'itk::Image< float,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIF3', 'itk::Image< float,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DF', 'itk::Image< unsigned char,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DD', 'itk::Image< unsigned char,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DF', 'itk::Image< unsigned short,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DD', 'itk::Image< unsigned short,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DF', 'itk::Image< float,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DD', 'itk::Image< float,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22VD2D', 'itk::Image< itk::Vector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22VD2D', 'itk::Image< itk::CovariantVector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DF', 'itk::Image< unsigned char,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DD', 'itk::Image< unsigned char,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS3DF', 'itk::Image< unsigned short,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS3DD', 'itk::Image< unsigned short,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DF', 'itk::Image< float,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DD', 'itk::Image< float,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF33VD3D', 'itk::Image< itk::Vector< float,3 >,3 >,itk::Vector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF33VD3D', 'itk::Image< itk::CovariantVector< float,3 >,3 >,itk::Vector< double,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2F', 'itk::Image< unsigned char,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS2D', 'itk::Image< unsigned short,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS2F', 'itk::Image< unsigned short,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2F', 'itk::Image< float,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC3F', 'itk::Image< unsigned char,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS3D', 'itk::Image< unsigned short,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS3F', 'itk::Image< unsigned short,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF3F', 'itk::Image< float,3 >,float'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2S', 'double,2,itk::DefaultStaticMeshTraits< double,2,2,double >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2D', 'double,2,itk::DefaultDynamicMeshTraits< double,2,2,double >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD3S', 'double,3,itk::DefaultStaticMeshTraits< double,3,3,double >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD3D', 'double,3,itk::DefaultDynamicMeshTraits< double,3,3,double >'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectD', 'double'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectF', 'float'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectUI', 'unsigned int'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectUL', 'unsigned long'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2UC', 'itk::Index<2>, unsigned char'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2US', 'itk::Index<2>, unsigned short'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2F', 'itk::Index<2>, float'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI3UC', 'itk::Index<3>, unsigned char'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI3US', 'itk::Index<3>, unsigned short'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI3F', 'itk::Index<3>, float'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2UC', 'itk::BandNode< itk::Index<2>, unsigned char>'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2US', 'itk::BandNode< itk::Index<2>, unsigned short>'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2F', 'itk::BandNode< itk::Index<2>, float>'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI3UC', 'itk::BandNode< itk::Index<3>, unsigned char>'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI3US', 'itk::BandNode< itk::Index<3>, unsigned short>'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI3F', 'itk::BandNode< itk::Index<3>, float>'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUC', 'unsigned char'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUS', 'unsigned short'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUI', 'unsigned int'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUL', 'unsigned long'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSC', 'signed char'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSS', 'signed short'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSI', 'signed int'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSL', 'signed long'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsF', 'float'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsD', 'double'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsLD', 'long double'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsB', 'bool'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUC', 'unsigned char'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUS', 'unsigned short'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUI', 'unsigned int'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUL', 'unsigned long'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSC', 'signed char'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSS', 'signed short'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSI', 'signed int'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSL', 'signed long'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsF', 'float'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsD', 'double'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsLD', 'long double'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsB', 'bool'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsRGBUS', 'itk::RGBPixel< unsigned short >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsRGBAUS', 'itk::RGBAPixel< unsigned short >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsCVF2', 'itk::CovariantVector< float,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsCVF3', 'itk::CovariantVector< float,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUC1', 'itk::Vector< unsigned char,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVF1', 'itk::Vector< float,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVD1', 'itk::Vector< double,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUS1', 'itk::Vector< unsigned short,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUC2', 'itk::Vector< unsigned char,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVF2', 'itk::Vector< float,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVD2', 'itk::Vector< double,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUS2', 'itk::Vector< unsigned short,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUC3', 'itk::Vector< unsigned char,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVF3', 'itk::Vector< float,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVD3', 'itk::Vector< double,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUS3', 'itk::Vector< unsigned short,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUC6', 'itk::Vector< unsigned char,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVF6', 'itk::Vector< float,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVD6', 'itk::Vector< double,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUS6', 'itk::Vector< unsigned short,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD2', 'itk::FixedArray< double,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF2', 'itk::FixedArray< float,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL2', 'itk::FixedArray< unsigned long,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS2', 'itk::FixedArray< unsigned short,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC2', 'itk::FixedArray< unsigned char,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI2', 'itk::FixedArray< unsigned int,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL2', 'itk::FixedArray< signed long,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS2', 'itk::FixedArray< signed short,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC2', 'itk::FixedArray< signed char,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD3', 'itk::FixedArray< double,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF3', 'itk::FixedArray< float,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL3', 'itk::FixedArray< unsigned long,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS3', 'itk::FixedArray< unsigned short,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC3', 'itk::FixedArray< unsigned char,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI3', 'itk::FixedArray< unsigned int,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL3', 'itk::FixedArray< signed long,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS3', 'itk::FixedArray< signed short,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC3', 'itk::FixedArray< signed char,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD4', 'itk::FixedArray< double,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF4', 'itk::FixedArray< float,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL4', 'itk::FixedArray< unsigned long,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS4', 'itk::FixedArray< unsigned short,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC4', 'itk::FixedArray< unsigned char,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI4', 'itk::FixedArray< unsigned int,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL4', 'itk::FixedArray< signed long,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS4', 'itk::FixedArray< signed short,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC4', 'itk::FixedArray< signed char,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD6', 'itk::FixedArray< double,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF6', 'itk::FixedArray< float,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL6', 'itk::FixedArray< unsigned long,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS6', 'itk::FixedArray< unsigned short,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC6', 'itk::FixedArray< unsigned char,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI6', 'itk::FixedArray< unsigned int,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL6', 'itk::FixedArray< signed long,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS6', 'itk::FixedArray< signed short,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC6', 'itk::FixedArray< signed char,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD1', 'itk::FixedArray< double,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF1', 'itk::FixedArray< float,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL1', 'itk::FixedArray< unsigned long,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS1', 'itk::FixedArray< unsigned short,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC1', 'itk::FixedArray< unsigned char,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI1', 'itk::FixedArray< unsigned int,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL1', 'itk::FixedArray< signed long,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS1', 'itk::FixedArray< signed short,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC1', 'itk::FixedArray< signed char,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVLVUC', 'itk::VariableLengthVector< unsigned char >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVLVUS', 'itk::VariableLengthVector< unsigned short >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVLVF', 'itk::VariableLengthVector< float >'),
  ('PathSource', 'itk::PathSource', 'itkPathSourcePLPP2', 'itk::PolyLineParametricPath< 2 >'),
  ('PathSource', 'itk::PathSource', 'itkPathSourcePLPP3', 'itk::PolyLineParametricPath< 3 >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorD', 'double'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorF', 'float'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUL', 'unsigned long'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUS', 'unsigned short'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUC', 'unsigned char'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSL', 'signed long'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSS', 'signed short'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSC', 'signed char'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorB', 'bool'),
  ('Versor', 'itk::Versor', 'itkVersorD', 'double'),
)
