depends = ('ITKPyBase', 'Transforms', 'Base', 'VXLNumerics', )
templates = (
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase'),
  ('IPLCommonImageIO', 'itk::IPLCommonImageIO', 'itkIPLCommonImageIO'),
  ('TransformFileReader', 'itk::TransformFileReader', 'itkTransformFileReader'),
  ('TransformFileWriter', 'itk::TransformFileWriter', 'itkTransformFileWriter'),
  ('ImageIORegion', 'itk::ImageIORegion', 'itkImageIORegion'),
  ('RawImageIO', 'itk::RawImageIO', 'itkRawImageIOF2', 'float,2'),
  ('RawImageIO', 'itk::RawImageIO', 'itkRawImageIOF3', 'float,3'),
  ('AnalyzeImageIO', 'itk::AnalyzeImageIO', 'itkAnalyzeImageIO'),
  ('AnalyzeImageIOFactory', 'itk::AnalyzeImageIOFactory', 'itkAnalyzeImageIOFactory'),
  ('BioRadImageIO', 'itk::BioRadImageIO', 'itkBioRadImageIO'),
  ('BioRadImageIOFactory', 'itk::BioRadImageIOFactory', 'itkBioRadImageIOFactory'),
  ('BMPImageIO', 'itk::BMPImageIO', 'itkBMPImageIO'),
  ('BMPImageIOFactory', 'itk::BMPImageIOFactory', 'itkBMPImageIOFactory'),
  ('DICOMImageIO2', 'itk::DICOMImageIO2', 'itkDICOMImageIO2'),
  ('DICOMImageIO2Factory', 'itk::DICOMImageIO2Factory', 'itkDICOMImageIO2Factory'),
  ('GDCMImageIO', 'itk::GDCMImageIO', 'itkGDCMImageIO'),
  ('GDCMImageIOFactory', 'itk::GDCMImageIOFactory', 'itkGDCMImageIOFactory'),
  ('DicomImageIO', 'itk::DicomImageIO', 'itkDicomImageIO'),
  ('DicomImageIOFactory', 'itk::DicomImageIOFactory', 'itkDicomImageIOFactory'),
  ('GE4ImageIO', 'itk::GE4ImageIO', 'itkGE4ImageIO'),
  ('GE4ImageIOFactory', 'itk::GE4ImageIOFactory', 'itkGE4ImageIOFactory'),
  ('GE5ImageIO', 'itk::GE5ImageIO', 'itkGE5ImageIO'),
  ('GE5ImageIOFactory', 'itk::GE5ImageIOFactory', 'itkGE5ImageIOFactory'),
  ('GEAdwImageIO', 'itk::GEAdwImageIO', 'itkGEAdwImageIO'),
  ('GEAdwImageIOFactory', 'itk::GEAdwImageIOFactory', 'itkGEAdwImageIOFactory'),
  ('GiplImageIO', 'itk::GiplImageIO', 'itkGiplImageIO'),
  ('GiplImageIOFactory', 'itk::GiplImageIOFactory', 'itkGiplImageIOFactory'),
  ('JPEGImageIO', 'itk::JPEGImageIO', 'itkJPEGImageIO'),
  ('JPEGImageIOFactory', 'itk::JPEGImageIOFactory', 'itkJPEGImageIOFactory'),
  ('TIFFImageIO', 'itk::TIFFImageIO', 'itkTIFFImageIO'),
  ('TIFFImageIOFactory', 'itk::TIFFImageIOFactory', 'itkTIFFImageIOFactory'),
  ('LSMImageIO', 'itk::LSMImageIO', 'itkLSMImageIO'),
  ('LSMImageIOFactory', 'itk::LSMImageIOFactory', 'itkLSMImageIOFactory'),
  ('MetaImageIO', 'itk::MetaImageIO', 'itkMetaImageIO'),
  ('MetaImageIOFactory', 'itk::MetaImageIOFactory', 'itkMetaImageIOFactory'),
  ('NiftiImageIO', 'itk::NiftiImageIO', 'itkNiftiImageIO'),
  ('NiftiImageIOFactory', 'itk::NiftiImageIOFactory', 'itkNiftiImageIOFactory'),
  ('NrrdImageIO', 'itk::NrrdImageIO', 'itkNrrdImageIO'),
  ('NrrdImageIOFactory', 'itk::NrrdImageIOFactory', 'itkNrrdImageIOFactory'),
  ('PNGImageIO', 'itk::PNGImageIO', 'itkPNGImageIO'),
  ('PNGImageIOFactory', 'itk::PNGImageIOFactory', 'itkPNGImageIOFactory'),
  ('SiemensVisionImageIO', 'itk::SiemensVisionImageIO', 'itkSiemensVisionImageIO'),
  ('SiemensVisionImageIOFactory', 'itk::SiemensVisionImageIOFactory', 'itkSiemensVisionImageIOFactory'),
  ('StimulateImageIO', 'itk::StimulateImageIO', 'itkStimulateImageIO'),
  ('StimulateImageIOFactory', 'itk::StimulateImageIOFactory', 'itkStimulateImageIOFactory'),
  ('VTKImageIO', 'itk::VTKImageIO', 'itkVTKImageIO'),
  ('VTKImageIOFactory', 'itk::VTKImageIOFactory', 'itkVTKImageIOFactory'),
  ('ArchetypeSeriesFileNames', 'itk::ArchetypeSeriesFileNames', 'itkArchetypeSeriesFileNames'),
  ('DICOMSeriesFileNames', 'itk::DICOMSeriesFileNames', 'itkDICOMSeriesFileNames'),
  ('GDCMSeriesFileNames', 'itk::GDCMSeriesFileNames', 'itkGDCMSeriesFileNames'),
  ('NumericSeriesFileNames', 'itk::NumericSeriesFileNames', 'itkNumericSeriesFileNames'),
  ('RegularExpressionSeriesFileNames', 'itk::RegularExpressionSeriesFileNames', 'itkRegularExpressionSeriesFileNames'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS3', 'itk::Image< unsigned short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF2', 'itk::Image< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF3', 'itk::Image< float,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS2', 'itk::VectorImage< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF2', 'itk::VectorImage< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS3', 'itk::VectorImage< unsigned short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF3', 'itk::VectorImage< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS3', 'itk::Image< unsigned short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF2', 'itk::Image< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF3', 'itk::Image< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS2', 'itk::VectorImage< unsigned short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF2', 'itk::VectorImage< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS3', 'itk::VectorImage< unsigned short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF3', 'itk::VectorImage< float,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS3', 'itk::Image< unsigned short,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF2', 'itk::Image< float,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF3', 'itk::Image< float,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF3', 'itk::Image< std::complex< float >,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIRGBAUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
)
