depends = ('ITKPyBase', 'Numerics', 'Base', 'VXLNumerics', )
templates = (
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF2', 'itk::Image< float,2 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF3', 'itk::Image< float,3 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI2', 'itk::Index< 2 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI3', 'itk::Index< 3 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI2', 'itk::SparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI3', 'itk::SparseFieldLevelSetNode< itk::Index< 3 > >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF2', 'itk::Image< float,2 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF3', 'itk::Image< float,3 >'),
  ('Image', 'itk::Image', 'itkImageNBNIF22', 'itk::NormalBandNode< itk::Image< float,2 > >*, 2'),
  ('Image', 'itk::Image', 'itkImageNBNIF33', 'itk::NormalBandNode< itk::Image< float,3 > >*, 3'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF22', 'itk::NormalBandNode< itk::Image< float,2 > >, 2'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF33', 'itk::NormalBandNode< itk::Image< float,3 > >, 3'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF2SINBNIF22', 'itk::Image< float,2 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,2 > >, 2 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF3SINBNIF33', 'itk::Image< float,3 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,3 > >, 3 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF2', 'itk::NormalBandNode< itk::Image< float,2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF3', 'itk::NormalBandNode< itk::Image< float,3 > >'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AntiAliasBinaryImageFilter', 'itk::AntiAliasBinaryImageFilter', 'itkAntiAliasBinaryImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AntiAliasBinaryImageFilter', 'itk::AntiAliasBinaryImageFilter', 'itkAntiAliasBinaryImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF2UC1IF2', 'itk::Image< float,2 >, unsigned char, 1, itk::Image< float,2 >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF3UC1IF3', 'itk::Image< float,3 >, unsigned char, 1, itk::Image< float,3 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI2', 'itk::Index< 2 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI3', 'itk::Index< 3 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI2', 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI3', 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 3 > >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SpatialFunction', 'itk::SpatialFunction', 'itkSpatialFunctionD2PD2', 'double,2,itk::Point< double,2 >'),
  ('SpatialFunction', 'itk::SpatialFunction', 'itkSpatialFunctionD3PD3', 'double,3,itk::Point< double,3 >'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
)
