depends = ('ITKPyBase', 'VXLNumerics', 'Base', 'VXLNumerics', )
templates = (
  ('CostFunction', 'itk::CostFunction', 'itkCostFunction'),
  ('SingleValuedCostFunction', 'itk::SingleValuedCostFunction', 'itkSingleValuedCostFunction'),
  ('SingleValuedVnlCostFunctionAdaptor', 'itk::SingleValuedVnlCostFunctionAdaptor', 'itkSingleValuedVnlCostFunctionAdaptor'),
  ('MultipleValuedCostFunction', 'itk::MultipleValuedCostFunction', 'itkMultipleValuedCostFunction'),
  ('MultipleValuedVnlCostFunctionAdaptor', 'itk::MultipleValuedVnlCostFunctionAdaptor', 'itkMultipleValuedVnlCostFunctionAdaptor'),
  ('RandomVariateGeneratorBase', 'itk::Statistics::RandomVariateGeneratorBase', 'itkRandomVariateGeneratorBase'),
  ('DenseFrequencyContainer', 'itk::Statistics::DenseFrequencyContainer', 'itkDenseFrequencyContainer'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAD1', 'itk::FixedArray< double,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAF1', 'itk::FixedArray< float,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUL1', 'itk::FixedArray< unsigned long,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUS1', 'itk::FixedArray< unsigned short,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUC1', 'itk::FixedArray< unsigned char,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASL1', 'itk::FixedArray< signed long,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASS1', 'itk::FixedArray< signed short,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASC1', 'itk::FixedArray< signed char,1 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAD2', 'itk::FixedArray< double,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAF2', 'itk::FixedArray< float,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUL2', 'itk::FixedArray< unsigned long,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUS2', 'itk::FixedArray< unsigned short,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUC2', 'itk::FixedArray< unsigned char,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASL2', 'itk::FixedArray< signed long,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASS2', 'itk::FixedArray< signed short,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASC2', 'itk::FixedArray< signed char,2 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAD3', 'itk::FixedArray< double,3 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAF3', 'itk::FixedArray< float,3 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUL3', 'itk::FixedArray< unsigned long,3 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUS3', 'itk::FixedArray< unsigned short,3 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFAUC3', 'itk::FixedArray< unsigned char,3 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASL3', 'itk::FixedArray< signed long,3 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASS3', 'itk::FixedArray< signed short,3 >'),
  ('Sample', 'itk::Statistics::Sample', 'itkSampleFASC3', 'itk::FixedArray< signed char,3 >'),
  ('Histogram', 'itk::Statistics::Histogram', 'itkHistogramF1', 'float, 1'),
  ('Histogram', 'itk::Statistics::Histogram', 'itkHistogramD1', 'double, 1'),
  ('Histogram', 'itk::Statistics::Histogram', 'itkHistogramF2', 'float, 2'),
  ('Histogram', 'itk::Statistics::Histogram', 'itkHistogramD2', 'double, 2'),
  ('Histogram', 'itk::Statistics::Histogram', 'itkHistogramF3', 'float, 3'),
  ('Histogram', 'itk::Statistics::Histogram', 'itkHistogramD3', 'double, 3'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorHF1', 'itk::Statistics::Histogram< float, 1 > *'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorHD1', 'itk::Statistics::Histogram< double, 1 > *'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorHF2', 'itk::Statistics::Histogram< float, 2 > *'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorHD2', 'itk::Statistics::Histogram< double, 2 > *'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorHF3', 'itk::Statistics::Histogram< float, 3 > *'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorHD3', 'itk::Statistics::Histogram< double, 3 > *'),
  ('Optimizer', 'itk::Optimizer', 'itkOptimizer'),
  ('NonLinearOptimizer', 'itk::NonLinearOptimizer', 'itkNonLinearOptimizer'),
  ('SingleValuedNonLinearOptimizer', 'itk::SingleValuedNonLinearOptimizer', 'itkSingleValuedNonLinearOptimizer'),
  ('SingleValuedNonLinearVnlOptimizer', 'itk::SingleValuedNonLinearVnlOptimizer', 'itkSingleValuedNonLinearVnlOptimizer'),
  ('MultipleValuedNonLinearOptimizer', 'itk::MultipleValuedNonLinearOptimizer', 'itkMultipleValuedNonLinearOptimizer'),
  ('MultipleValuedNonLinearVnlOptimizer', 'itk::MultipleValuedNonLinearVnlOptimizer', 'itkMultipleValuedNonLinearVnlOptimizer'),
  ('ConjugateGradientOptimizer', 'itk::ConjugateGradientOptimizer', 'itkConjugateGradientOptimizer'),
  ('GradientDescentOptimizer', 'itk::GradientDescentOptimizer', 'itkGradientDescentOptimizer'),
  ('LBFGSOptimizer', 'itk::LBFGSOptimizer', 'itkLBFGSOptimizer'),
  ('LevenbergMarquardtOptimizer', 'itk::LevenbergMarquardtOptimizer', 'itkLevenbergMarquardtOptimizer'),
  ('OnePlusOneEvolutionaryOptimizer', 'itk::OnePlusOneEvolutionaryOptimizer', 'itkOnePlusOneEvolutionaryOptimizer'),
  ('QuaternionRigidTransformGradientDescentOptimizer', 'itk::QuaternionRigidTransformGradientDescentOptimizer', 'itkQuaternionRigidTransformGradientDescentOptimizer'),
  ('RegularStepGradientDescentBaseOptimizer', 'itk::RegularStepGradientDescentBaseOptimizer', 'itkRegularStepGradientDescentBaseOptimizer'),
  ('RegularStepGradientDescentOptimizer', 'itk::RegularStepGradientDescentOptimizer', 'itkRegularStepGradientDescentOptimizer'),
  ('VersorTransformOptimizer', 'itk::VersorTransformOptimizer', 'itkVersorTransformOptimizer'),
  ('AmoebaOptimizer', 'itk::AmoebaOptimizer', 'itkAmoebaOptimizer'),
  ('GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itk::Statistics::GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itkGreyLevelCooccurrenceMatrixTextureCoefficientsCalculatorHD1', 'itk::Statistics::Histogram< double, 1 >'),
  ('GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itk::Statistics::GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itkGreyLevelCooccurrenceMatrixTextureCoefficientsCalculatorHF1', 'itk::Statistics::Histogram< float, 1 >'),
  ('GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itk::Statistics::GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itkGreyLevelCooccurrenceMatrixTextureCoefficientsCalculatorHD2', 'itk::Statistics::Histogram< double, 2 >'),
  ('GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itk::Statistics::GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itkGreyLevelCooccurrenceMatrixTextureCoefficientsCalculatorHF2', 'itk::Statistics::Histogram< float, 2 >'),
  ('GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itk::Statistics::GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itkGreyLevelCooccurrenceMatrixTextureCoefficientsCalculatorHD3', 'itk::Statistics::Histogram< double, 3 >'),
  ('GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itk::Statistics::GreyLevelCooccurrenceMatrixTextureCoefficientsCalculator', 'itkGreyLevelCooccurrenceMatrixTextureCoefficientsCalculatorHF3', 'itk::Statistics::Histogram< float, 3 >'),
  ('HistogramToEntropyImageFilter', 'itk::HistogramToEntropyImageFilter', 'itkHistogramToEntropyImageFilterHF2F', 'itk::Statistics::Histogram< float, 2 >, float'),
  ('HistogramToEntropyImageFilter', 'itk::HistogramToEntropyImageFilter', 'itkHistogramToEntropyImageFilterHD2F', 'itk::Statistics::Histogram< double, 2 >, float'),
  ('HistogramToEntropyImageFilter', 'itk::HistogramToEntropyImageFilter', 'itkHistogramToEntropyImageFilterHF3F', 'itk::Statistics::Histogram< float, 3 >, float'),
  ('HistogramToEntropyImageFilter', 'itk::HistogramToEntropyImageFilter', 'itkHistogramToEntropyImageFilterHD3F', 'itk::Statistics::Histogram< double, 3 >, float'),
  ('HistogramToIntensityImageFilter', 'itk::HistogramToIntensityImageFilter', 'itkHistogramToIntensityImageFilterHF2', 'itk::Statistics::Histogram< float, 2 >'),
  ('HistogramToIntensityImageFilter', 'itk::HistogramToIntensityImageFilter', 'itkHistogramToIntensityImageFilterHD2', 'itk::Statistics::Histogram< double, 2 >'),
  ('HistogramToIntensityImageFilter', 'itk::HistogramToIntensityImageFilter', 'itkHistogramToIntensityImageFilterHF3', 'itk::Statistics::Histogram< float, 3 >'),
  ('HistogramToIntensityImageFilter', 'itk::HistogramToIntensityImageFilter', 'itkHistogramToIntensityImageFilterHD3', 'itk::Statistics::Histogram< double, 3 >'),
  ('HistogramToLogProbabilityImageFilter', 'itk::HistogramToLogProbabilityImageFilter', 'itkHistogramToLogProbabilityImageFilterHF2F', 'itk::Statistics::Histogram< float, 2 >, float'),
  ('HistogramToLogProbabilityImageFilter', 'itk::HistogramToLogProbabilityImageFilter', 'itkHistogramToLogProbabilityImageFilterHD2F', 'itk::Statistics::Histogram< double, 2 >, float'),
  ('HistogramToLogProbabilityImageFilter', 'itk::HistogramToLogProbabilityImageFilter', 'itkHistogramToLogProbabilityImageFilterHF3F', 'itk::Statistics::Histogram< float, 3 >, float'),
  ('HistogramToLogProbabilityImageFilter', 'itk::HistogramToLogProbabilityImageFilter', 'itkHistogramToLogProbabilityImageFilterHD3F', 'itk::Statistics::Histogram< double, 3 >, float'),
  ('HistogramToProbabilityImageFilter', 'itk::HistogramToProbabilityImageFilter', 'itkHistogramToProbabilityImageFilterHF2F', 'itk::Statistics::Histogram< float, 2 >, float'),
  ('HistogramToProbabilityImageFilter', 'itk::HistogramToProbabilityImageFilter', 'itkHistogramToProbabilityImageFilterHD2F', 'itk::Statistics::Histogram< double, 2 >, float'),
  ('HistogramToProbabilityImageFilter', 'itk::HistogramToProbabilityImageFilter', 'itkHistogramToProbabilityImageFilterHF3F', 'itk::Statistics::Histogram< float, 3 >, float'),
  ('HistogramToProbabilityImageFilter', 'itk::HistogramToProbabilityImageFilter', 'itkHistogramToProbabilityImageFilterHD3F', 'itk::Statistics::Histogram< double, 3 >, float'),
  ('MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkMaskedScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUC2', 'itk::Image< unsigned char,2 >'),
  ('MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkMaskedScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUC3', 'itk::Image< unsigned char,3 >'),
  ('MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkMaskedScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUS2', 'itk::Image< unsigned short,2 >'),
  ('MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkMaskedScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUS3', 'itk::Image< unsigned short,3 >'),
  ('MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkMaskedScalarImageToGreyLevelCooccurrenceMatrixGeneratorIF2', 'itk::Image< float,2 >'),
  ('MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::MaskedScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkMaskedScalarImageToGreyLevelCooccurrenceMatrixGeneratorIF3', 'itk::Image< float,3 >'),
  ('ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUC2', 'itk::Image< unsigned char,2 >'),
  ('ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUC3', 'itk::Image< unsigned char,3 >'),
  ('ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUS2', 'itk::Image< unsigned short,2 >'),
  ('ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkScalarImageToGreyLevelCooccurrenceMatrixGeneratorIUS3', 'itk::Image< unsigned short,3 >'),
  ('ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkScalarImageToGreyLevelCooccurrenceMatrixGeneratorIF2', 'itk::Image< float,2 >'),
  ('ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itk::Statistics::ScalarImageToGreyLevelCooccurrenceMatrixGenerator', 'itkScalarImageToGreyLevelCooccurrenceMatrixGeneratorIF3', 'itk::Image< float,3 >'),
)
